ant-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 47789] New: <csc> task fails with newer .NET frameworks (incremental flag obsolete)
Date Fri, 04 Sep 2009 20:43:23 GMT
https://issues.apache.org/bugzilla/show_bug.cgi?id=47789

           Summary: <csc> task fails with newer .NET frameworks
                    (incremental flag obsolete)
           Product: Ant
           Version: unspecified
          Platform: PC
        OS/Version: Windows Server 2003
            Status: NEW
          Severity: normal
          Priority: P2
         Component: .NET Antlib
        AssignedTo: notifications@ant.apache.org
        ReportedBy: mebemikeyc@gmail.com


--- Comment #0 from Michael Callahan <mebemikeyc@gmail.com> 2009-09-04 13:43:22 PDT
---
When compiling C# programs with <csc> task, targeting newer frameworks (> 1.1),
a fatal error is raised.  This is because the "/incremental" flag is now
obsolete.


Forgive me for not including a patch, as I don't now the proper format.  My
idea for a fix:

Modify CSharp.getIncrementalParameter() to return nothing, unless a supporting
framework is being used.

To figure out whether a supporting framework is being used, I'd personally just
add a "FrameworkVersion" property to the task.  (There are other options, but
none are very clean.)

-- 
Configure bugmail: https://issues.apache.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.

Mime
View raw message